/*
 * FileClaimResponse.java
 *
 * Created on April 21, 2006, 5:33 PM
 */

package com.sun.jbi.blueprints.insuranceClaim.common;

import java.beans.*;
import java.io.Serializable;

/**
 * @author Graj
 */
public class FileClaimResponse extends Object implements Serializable {
    
    public static final String CLAIMNUMBER_PROPERTY = "claimNumber";
    
    private String claimNumber;
    
    private PropertyChangeSupport propertySupport;
    
    public FileClaimResponse() {
        propertySupport = new PropertyChangeSupport(this);
    }
    
    public String getClaimNumber() {
        return this.claimNumber;
    }
    
    public void setClaimNumber(String value) {
        String oldValue = this.claimNumber;
        this.claimNumber = value;
        propertySupport.firePropertyChange(CLAIMNUMBER_PROPERTY, oldValue, this.claimNumber);
    }
    
    
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        propertySupport.addPropertyChangeListener(listener);
    }
    
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertySupport.removePropertyChangeListener(listener);
    }    
    
}
